from Products.CMFCore.DirectoryView import registerDirectory
from config import SKINS_DIR, GLOBALS, ADD_PERMISSION, PROJECTNAME \
         , INSTALL_EXAMPLE_CONTENT_TYPE
from Products.Archetypes.public import process_types, listTypes
from Products.CMFCore import utils
from Products.CMFPlone.PloneUtilities import ToolInit
import PloneHelpRegistryTool

registerDirectory(SKINS_DIR, GLOBALS)

# Read in content directory--this gives you an optional place to
# define content types for the help.

if INSTALL_EXAMPLE_CONTENT_TYPE:
    import content

def initialize(context):

    tools = ( PloneHelpRegistryTool.PloneHelpTool,)

    ToolInit(PROJECTNAME + ' Tools', tools=tools,
             product_name=PROJECTNAME, icon='tool.gif',
             ).initialize( context )

    content_types, constructors, ftis = \
        process_types( listTypes(PROJECTNAME),
        PROJECTNAME)
 
    utils.ContentInit(
      PROJECTNAME + ' Content',
      content_types = content_types,
      permission = ADD_PERMISSION,
      extra_constructors = constructors,
      fti = ftis,
      ).initialize(context)
